nxt.dgs

## Enum DigitalGoodsHome.Event

- java.lang.Object
- - java.lang.Enum<DigitalGoodsHome.Event>
  - - nxt.dgs.DigitalGoodsHome.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DigitalGoodsHome.Event>
  Enclosing class:
    DigitalGoodsHome

      public static enum DigitalGoodsHome.Event
      extends java.lang.Enum<DigitalGoodsHome.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELIVERY`
    `FEEDBACK`
    `GOODS_DELISTED`
    `GOODS_LISTED`
    `GOODS_PRICE_CHANGE`
    `GOODS_QUANTITY_CHANGE`
    `PURCHASE`
    `REFUND`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DigitalGoodsHome.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DigitalGoodsHome.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GOODS_LISTED

          public static final DigitalGoodsHome.Event GOODS_LISTED

    - #### GOODS_DELISTED

          public static final DigitalGoodsHome.Event GOODS_DELISTED

    - #### GOODS_PRICE_CHANGE

          public static final DigitalGoodsHome.Event GOODS_PRICE_CHANGE

    - #### GOODS_QUANTITY_CHANGE

          public static final DigitalGoodsHome.Event GOODS_QUANTITY_CHANGE

    - #### PURCHASE

          public static final DigitalGoodsHome.Event PURCHASE

    - #### DELIVERY

          public static final DigitalGoodsHome.Event DELIVERY

    - #### REFUND

          public static final DigitalGoodsHome.Event REFUND

    - #### FEEDBACK

          public static final DigitalGoodsHome.Event FEEDBACK

  - ### Method Detail

    - #### values

          public static DigitalGoodsHome.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DigitalGoodsHome.Event c : DigitalGoodsHome.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DigitalGoodsHome.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null